Last Comment Bug 215063 - {ib}XML/CSS alternate stylesheets only giving blank page when :root inline
: {ib}XML/CSS alternate stylesheets only giving blank page when :root inline
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: ---
Assigned To: David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch)
: Hixie (not reading bugmail)
Mentors:
http://contributors.tgministries.org/...
Depends on: 233480
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-04 13:46 PDT by Jonathan Bartlett
Modified: 2014-01-16 08:35 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase showing the problem (26.69 KB, text/xml)
2004-02-09 00:59 PST, Boris Zbarsky [:bz]
no flags Details

Description Jonathan Bartlett 2003-08-04 13:46:24 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401

When switching from the default stylesheet to the alternate stylesheet on XML
pages (using the xml-stylesheet processing instruction), the page goes blank
when the alternate stylesheet is selected.  This is not a stylesheet problem, as
the alternate one works when it is placed firts in the order. 

Reproducible: Always

Steps to Reproduce:
1. Go to
http://contributors.tgministries.org/current/ShortStudies/BeingPartOfTheBody.xml
2. Choose "View" -> "Use Style" -> "Normal"


Actual Results:  
Page becomes blank

Expected Results:  
Page should re-render with the new stylesheet
Comment 1 Rok Kralj 2003-08-04 13:52:30 PDT
I see the bug on WinXP too, using Mozilla/5.0 (Windows; U; Windows NT 5.1;
en-US; rv:1.5b) Gecko/20030804
Comment 2 Jesiah S 2003-08-04 15:17:49 PDT
I see this also on LInux 2003080405
Comment 3 Mats Palmgren (vacation) 2003-08-04 15:20:36 PDT
Confirming bug, 2003-08-01-05 trunk Linux.  
Also, if you change back to the initial stylesheet (that worked the first time)
the page it is still blank.

-> Style System
Comment 4 Boris Zbarsky [:bz] 2003-08-09 18:13:23 PDT
The sheets both put blocks inside an inline root; we have some issues with
dynamic changes in those circumstances...
Comment 5 Jonathan Bartlett 2003-08-18 06:45:14 PDT
I modified the page to make the root a block, and the problem goes away.  I
don't know if this is a bug or not, then, as I'm not sure what CSS says about
whether or not the root element can be an inline element.
Comment 6 Wayne Davison 2003-10-27 10:45:16 PST
Would this bug affect more than XML pages? Several people (including me) have
been seeing HTML pages missing the majority of their content (though the content
often shows up if the page is reloaded), and the latest hypothosis is that it is
related to the page having multiple alternate style sheets. The bug does not
appear to affect everyone, and it also appears to sporadically appear and
disappear. For instance, the mozilla-firebird pages have exhibited this problem
for me in the past (and quite consistently for a while), but recently they
started to render properly without fail. During this "OK" time a completely
different site (that used multiple alternate style sheets on the HTML) started
to render as consistently "empty", and then days later the problem is not
reproducable (and the CSS code did not change on this second site). Very weird.
Comment 7 Hixie (not reading bugmail) 2003-11-22 05:10:35 PST
:root should never be able to become inline, btw
Comment 8 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2004-02-08 23:03:49 PST
This works for me on a current build, even without the patch to bug 233480.
Comment 9 Boris Zbarsky [:bz] 2004-02-09 00:59:26 PST
Created attachment 140931 [details]
Testcase showing the problem
Comment 10 Boris Zbarsky [:bz] 2004-02-09 01:00:43 PST
That's because the page was changed to use display:block...... Attached testcase
shows the problem here.
Comment 11 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2004-02-09 11:19:06 PST
Fixed by checkin of bug 233480.

Note You need to log in before you can comment on or make changes to this bug.